Introduction

The PLGen component of the PLPAK is responsible for inputting the structural model to the program. The input process includes drafting, defining geometry, materials, loads and the type of each structural element and hence the support conditions. The PLGen is the part of the package used to view the virtual model.

In this part of the manual, all PLGen commands and operations are going to be discussed explicitly.

PLGen operation diagram

The figure below shows the operation diagram for the PLGen module.

PLGen Philosophy

The PLGen is the pre-processor component of the PLPAK. It is used to draw and define a virtual model which is very similar to the structural plans. The PLGen allows the user to define a single slab with multiple openings, load and support elements of various types. The PLGen virtual model can be drafted using CAD software and imported in (.dxf) format; multiple .dxf drawings can be imported in case there is any modification required by the user. Duplicates from various drawings can be removed. However, duplicates have to be objects and not points. The PLGen enables the user to view the 3D model of the proposed structural plan. The virtual model is linked to the solver (in PLCoreMan) via by the Boundry Element Model viewer component, PLView.

PLGen models

PLGen is concerned with producing the virtual model as well as viewing of the 3D model. A summary of the numerical model could be also displayed in the PLGen environment.

PLGen Objects

The PLGen employs objects to model real structural elements. Following are objects that can be used in PLGen:

Single slab with multiple openings

The PLGen uses only single slab with uniform thickness. It could have a series of openings. The following geometrical elements are be found in the PLGen.

Structural Object | Typical modeling usages
Slab | Modeling building slabs and foundations
Opening | Add openings to the slab object

Loading and supporting elements

The PLGen simulates the following support elements:

Structural Object | Typical modeling usages
Column/Pile | Modeling supports of mean dimensions like most of structural columns supporting Building slabs or Piles supporting foundations
Beam | Modeling of beams supporting the slabs
Wall Support | Modeling supports elongated in one direction like a buildings shear walls
Support Assembly | Modeling supports of complex geometry like buildings cores or broken shear walls
Soil Support | Modeling the soil supporting the building foundation

It also simulates the following loading elements:

Structural Object | Typical modeling usages
Load Patches | Add a distributed load over a quadrilateral part of the slab object
Column Load | Add vertical force and two moments over a quadrilateral part of the slab object
Wall Load | Modeling Loads elongated in one direction like a buildings shear walls loads over a raft foundation and loads over slabs due to brick walls
Load Assembly | Modeling Loads of complex geometry like buildings cores loads over a raft foundation


PLGen modes

Typically the PLGen user has to work under one mode; these modes are: Draw, Select, Edit, Segment, Beam, and Point modes.

  • Draw mode allows the user to draw undefined geometrical or structural elements.
  • Select mode allows the user to either define the undefined objects or to define the object properties.
  • Edit mode allows the user to edit the geometry of undefined or defined objects.
  • Segment mode, allows setting the number of boundary elements of a slab or opening. It also allows setting different boundary conditions.
  • Beam mode allows the drawing of beams
  • Point mode allows defining new construction points.

The Define menu

This is the main menu that is used to define the properties of the virtual model including geometry materials, loads, supports and some properties of the numerical model.

Define | Modes

Mode commands are used to state the mode of drafting. They include Select, Edit, Draw, Segments, Points, Boxes.


The File menu

File | New .gen

Starts a new .gen file whereby the user can begin to create the model

File | Open .gen

Brings up a dialog box for selecting a .gen file. The dialog box will show the location of the last project that was open. (The user can navigate elsewhere to open another .gen file.)

File | Import DXF

Brings up a dialog box for selecting a .DXF file. The user can retrieve it from other locations .DXF file from the default folder.

File | Save. gen

Saves the current state of the open .gen file

File | Export BE files

Used to save the .LC file of the model which has the names of all load cases.

File | Print

Brings up a dialog box in which the user can choose the printer and print the current .gen file

File | Print Preview

Brings up a small window in which the user can preview the .gen file before printing

File | Page setup

Brings up a dialog box in which the user can choose the size of the paper, the orientation and the margins


The View menu

This section considers the “View” menu commands and other related commands on toolbars. All commands in the View menu are available on the View Toolbar.

View | Toolbars

· Used to control which toolbars should appear on the screen, the same function can be performed using right click on any toolbar. The mark beside a toolbar implies that it is selected.

View | Grid Spacing

Brings up a small window allowing the user to choose the grid spacing on the screen, PL grids are square.

PLEASE note that PL is unit-less software and therefore the units have to be consistent.

View | Show/Hide group

The Show/Hide commands can be used to show or hide Loads, No. of divisions of every element, Co-ordinates at the cursor, grid, cursor and axis.

View | Windows

The windows menu provides options of tiling different PLGen windows that are used at the same time.

View | 3D Open GL view

This command opens a 3D model for the modeled slab. This figure shows the 3D model for a slab that is supported on four columns.

View | BE model

Opens PLViewer module.

BE Model (Boundary Elements Model) command will show the numerical model that will be solved by the program. The figure on the right shows a slab with two beams as represented as the BE model.


Auxiliary view commands:

The highlighted commands represent four auxiliary view commands which are (order from left to right): Refresh, Clear selection, Zoom Extents (Used to view the whole draft), Zoom window and Pan.


The Tools menu

The following commands are available in the tools menu and in the toolbar as shown:

Tools | Undo/Redo group

Allows the user to return to previous modifications whether backwards or forwards


Tools | Move

The move command allows the user to move object(s) from a place to another, while retaining their properties, by means of transferreing co-ordinates. Select the object(s) then click move, use the dialogue box to define the distance to be translated along the X and Y directions.


Tools | Copy

This command is used to copy a certain object(s) to another place while retaining their properties. Select the required object(s), then press copy and input the required transfer of co-ordinates.


Tools | Array

This command is used to create an array of duplicate objects instead of drawing each object separately. Choose the required object, click array then enter in the dialogue box the number of objects and spacing in each direction.


Tools | Match

This command is used to match the properties of a certain element to another object. To use this command, click first on the object with the incorrect properties, then click match and choose the required object.


Tools | Delete duplicates

Upon clicking this command, the PL will search for items which are drawn above each other and deletes them. This tool is important to be used after importing multiple “.dxf” files in order to make sure that no areas are overlaping.


Tools | Snap

The snap commands are helpful in drawing on order to snap the cursor to specified object. The snap options are (order from left to right): Snap to End Points, Midpoints, Grid, Nearest object and Snap to pre-specified point locations.


Tools | Assign Wall assembly

Allows the user to join two walls together to create an L-shaped wall or U-shaped wall.

This command is useful when drawing an L-shaped or C-Shaped objects e.g., L-shaped column or a Core. All you have to do is to draw the required element as parts, then select the different parts and click wall assembly.

By right clicking on the produced shape, the above dialogue box will appear which is used to define the properties of the wall assembly produced. Using the wall assembly, the PL calculates the new position of the CG of the assembly and hence calculates the inertia and stiffness accordingly. The Explode button divides the assembly into its original components.

.


Tools | Load assembly

Allows the user to join different loading elements to work as a single loading element.

This command calculates the CG of the new shape produced. In order to use this command, draw the required element first and define them as required. Then select the drawn elements and click Load Assembly to join them together. Right click on the produced shape to control the number of shape divisions and the applied load by this load assembly.


Tools | Grab CG

Allows the user to copy the position of the CG of the selected areas to the clipboard; it can be pasted in any text file later on.


Tools | Column stiffness calculator

This is a tool that allows the user to include columns with non-prismatic cross sections and/or columns with column capital. This is done by calculating the stiffness values of the required columns,; the calculated stiffness can be then inserted in the required column.


Tools | Run

After finalizing all input processes the model is run by selecting Run form the tools menu or from the toolbar as shown. This takes you to the solver program, PL Core Man.


Draw Mode

This command is used to draw all objects except beams. In order to draw the elements correctly you have to input them as four nodes element ,i.e. while drawing ,place the four nodes that border the element by four left mouse clicks, then let the PL close the border by pressing a rightmouse click.

To draw circular element, press SHIFT while drawing.

PLEASE Note: Using any number of nodes other that four will allow you to define the drawn element as Slab or Opening only.


The Edit mode:

The edit mode gives you the opportunity to change the position of any node.


The Select mode:

The select mode is used to select single or multiple areas that have been drawn. The select mode is also used to define the properties of all areas including the definition of support and load conditions.

Defining the type of area:

In Select Mode, Left Click the area and then Right click, a dialogue will appear which has a list of possible area definitions.

Defining a slab:

Select slab from the list as shown above. To define slab properties, right click over the slab object in the select mode. A dialogue will appear, as shown to the right, that will be used to define slab thickness, material, loads and whether the PL should calculate the slab own weight or not.

PLEASE note that slab load is uniformly distributed and that PL is a unitless software and therefore the units have to be consistent.

Defining an opening can be done using the same procedure, however opening have no properties to control.

Defining supporting elements:

All the supports defined in the virtual model actually represent cells that overlay the slab. The mechanics of supports are defined as stiff nesses for these cells. The direction of the defined stiffness of each support depends on the type of the support. All supporting elements are defined as objects with defined areas. In order to produce reasonable results using BEM, the areas of supporting elements have to be divided (except columns which are too small to be divided).

Defining columns:

Left click on the area that is required to be a column, then Right Click and use the produced dialogue to define the area as a column.

To define the column properties, Right Click on the column without choosing it by Left Click. Use the produced dialogue to define the column height, material, whether this height extends above and below the lab or below it only. The PL allows the user to define the CG of the column which is necessary for some modeling applications, also the stiffness of the column can be defined in three directions which are: K3 - axial (vertical) stiffness, Kx –Stiffness against moment in the direction, Ky–Stiffness against moment in the Y direction. PLEASE note that PL is a unitless software and therefore the units have to be consistent.

Defining a wall support:

Left click on the area that is required to be a wall support, then Right Click and use the produced

dialogue to define the area as a wall support.

To define the wall support properties, Right Click on the wall without choosing it by Left Click. Use the produced dialogue to define wall material, height, whether it extends above and below or only below the slab and the number of boundary element divisions.

PLEASE note that PL is a unitless software and therefore the units have to be consistent.

Defining a soil support:

Left click on the area that is required to be a soil support, then Right Click and use the produced

dialogue to define the area as a soil support.

To define the soil support properties, Right Click on the support without choosing it by Left Click. Use the produced dialogue to define soil spring stiffness (Ks) and number of boundary element divisions in both directions.

Defining loading elements:

All the loading elements defined are in the virtual model as objects in their actual dimensions, therefore all point loads have to be added as load patches. The areas of loading elements are divided into cells that overlay the slab. The loads induced are defined as resultant forces and/or moments at these cells. The direction of the induced load depends on the type of the loading element.

Defining a Column Load:

Left click on the area that is required to be a column load, then Right Click and use the produced dialogue to define the area as a column load.

To define the column properties, Right Click on the column without choosing it by Left Click. Use the produced dialogue to define the loads induced by this column. The load has three parameters vertical force (F), moment in X direction (Mx) and a moment in Y direction (My).

PLEASE note that PL is a unitless software and therefore the units have to be consistent.

Defining a load Patch:

Left click on the area that is required to be a load patch, then Right Click and use the produced dialogue to define the area as a load patch.

To define the load properties, Right Click on the column without choosing it by Left Click. Use the produced dialogue to define the loads induced at this patch which is a uniformly distributed load. This window allows you to define the number of boundary divisions in X and Y direction.

PLEASE note that PL is a unitless software and therefore the units have to be consistent.

Defining a wall load:

Left click on the area that is required to be a wall load. Then Right Click and from the produced dialogue define the area as a wall load.

To define the wall load properties, Right Click on the wall without choosing it by Left Click. Use the produced dialogue to define the loads induced by this wall. The load has three parameters vertical force (F), moment in X direction (Mx) and a moment in Y direction (My).


Beam mode

This mode is used to draw beams, just by defining their start and end points.

To define the beam properties, Right Click on the beam without choosing it by Left Click. Use the produced dialogue to define beam depth, width, start point, end point, moment of inertial (Iy), Torsional constant (J), material, number of divisions, defining own weight per unit length of beam and whether the PL should include the beam own weight or not.


Segment mode

The segment mode is used to define the number of boundary divisions of the drawn areas. To use segment modes, click on segment then select an area which includes the boundary line that is required to edit, please note that selection has to be done from right to left. Right click on that line and a dialogue box will appear to allow you to choose number of divisions and the type of boundary fixation.


Point mode

This mode is used to draw points that are used only for drawing to define certain coordinates. Points can be placed by defining co-ordinates or by just clicking where you want it to be placed. All points that have been drawn are available through the points table.


Define | Materials

allows the user through a window to define new materials or edit current material properties

Step 1:

Click “Materials” from the top toolbar

Step 2:

Using the materials window, choose the current material to be edited or input a new material

Step 3: New Material

After pressing New, use the produced Dialogue to input the new material by defining Name, E (Young’s Modulus), Niew (Poisson’s Ratio) and Gamma (Unit Weight of the material) then click “OK”. PLEASE note that PL is a unitless software and therefore the units have to be consistent.

Step 4: Editing current material

After clicking Edit, use the Dialogue to edit material name and properties by defining the name, E (Young’s Modulus), Niew (Poisson’s Ratio) and Gamma (Unit Weight of the material) then click “OK”. PLEASE note that PL is a unitless software and therefore the units have to be consistent.


Define | Load Cases

allows the user to define the load cases.

Step 1:

Click “Load Cases” from the top toolbar

Step 2: Defining Load cases names

Use New and Edit Commands to control the names of the load cases. The two menus at the right are used to define the load case which considers the beam and slab own weights.

Following are dialogue boxes that appear after pressing New or Edit


Define | Model Info

Allows the user to view and edit the project title, no. of gauss points and type of solver.

.


Define | Point Table

Allows the user to view all points that in the workspace in a tabulated form.


30

PLPAK V1.01 User Manual - PLGen


2

PLPAK V1.01 User Manual - PLGen


18

PLPAK V1.01 User Manual - PLGen


17

PLPAK V1.01 User Manual - PLGen


19

PLPAK V1.01 User Manual - PLGen


6

PLPAK V1.01 User Manual - PLGen


7

PLPAK V1.01 User Manual - PLGen


29

PLPAK V1.01 User Manual - PLGen


24

PLPAK V1.01 User Manual - PLGen


20

PLPAK V1.01 User Manual - PLGen


25

PLPAK V1.01 User Manual - PLGen


28

PLPAK V1.01 User Manual - PLGen


4

PLPAK V1.01 User Manual - PLGen